%%%%%%%% FORWARD AND INVERSE MODELS


%--------SECTION
\section{Fordward and Inverse Models on the Graph}


%%%%%%%%%%%%% FRAME 
\begin{frame}{\normalsize Equations for Weights and Pressures Are Derived Using Darcy's Law and Weight Conservation}

%%%%%%%%%%%%%% Itemize	
\begin{itemize}
%\tiny
%\raggedright
%
\item Volumetric flux is mass flux per unit area and specific area
%%%%%% EQUATION
\begin{align} 
\Aboxed{Q_{ij} = q_{ij}\alpha_{ij}} \ \ \nonumber 
%\label{eq: steady state forward problem}
\end{align}
%%%%%% EQUATION
$q_{ij}$ is the specific mass flux discharge, $\alpha_{ij}$ is the aperture of the idealized (planar) fracture.
%\vspace{.05cm}
%
\item Specific mass flux  governed by Darcy flow.
%%%%%% EQUATION
\begin{align} 
\Aboxed{q_{ij} = -\kappa_{ij}\frac{(p_i-p_j)}{L_{ij}}}   \nonumber
\end{align}
%%%%%% EQUATION
$\kappa_{ij} = k_{ij} g / \nu$ hydraulic conductivity,   $k_{ij} $ is facture permeability, $\nu$ is dynamic viscosity. 
\vspace{0.1cm}
%
\item Aggregate parameters together into an edge weight $w_{ij}^D$:
%%%%%% EQUATION 
\begin{align} 
\Aboxed{w_{ij} = \frac{k_{ij}g}{\nu L_{ij} } = \frac{k_{ij}g\rho}{\mu L_{ij}}} \nonumber   
\end{align}
%%%%%% EQUATION
$L_{ij} = ||\vec{x}_i-\vec{x}_j||_2$ length between nodes, $\vec{x}_i$ is location of node $v_i$ 
\vspace{0.05cm}
%
\item Update the conservation of mass equation.
%%%%%% EQUATION
\begin{align} 
\Aboxed{\sum_{j=1}^n  w_{ij}^D(p_i - p_j) = 0} \nonumber  
\end{align}	
%%%%%% EQUATION
\vspace{0.05cm}
%			
\end{itemize}
%%%%%%%%%%%%%% Itemize
    
\end{frame}
%%%%%%%% END FRAME 

%%%%%%%%%%%%% FRAME 
\begin{frame}{\normalsize Equations for Weights and Pressures Are Derived Using Darcy's Law and Weight Conservation}

%%%%%%%%%%%%%% Itemize	
\begin{itemize}
%\tiny
%\raggedright
%
\item Volumetric flux is mass flux per unit area and specific area
%%%%%% EQUATION
\begin{align} 
\Aboxed{Q_{ij} = q_{ij}\alpha_{ij}} \ \ \nonumber 
%\label{eq: steady state forward problem}
\end{align}
%%%%%% EQUATION
$q_{ij}$ is the specific mass flux discharge, $\alpha_{ij}$ is the aperture of the idealized (planar) fracture.
%\vspace{.05cm}
%
\item Specific mass flux  governed by Darcy flow.
%%%%%% EQUATION
\begin{align} 
\Aboxed{q_{ij} = -\kappa_{ij}\frac{(p_i-p_j)}{L_{ij}}}   \nonumber
\end{align}
%%%%%% EQUATION
$\kappa_{ij} = k_{ij} g / \nu$ hydraulic conductivity,   $k_{ij} $ is facture permeability, $\nu$ is dynamic viscosity. 
\vspace{0.1cm}
%
\item Aggregate parameters together into an edge weight $w_{ij}^D$:
%%%%%% EQUATION 
\begin{align} 
\Aboxed{w_{ij} = \frac{k_{ij}g}{\nu L_{ij} } = \frac{k_{ij}g\rho}{\mu L_{ij}}} \nonumber   
\end{align}
%%%%%% EQUATION
$L_{ij} = ||\vec{x}_i-\vec{x}_j||_2$ length between nodes, $\vec{x}_i$ is location of node $v_i$ 
\vspace{0.05cm}
%
\item Update the conservation of mass equation.
%%%%%% EQUATION
\begin{align} 
\Aboxed{\sum_{j=1}^n  w_{ij}^D(p_i - p_j) = 0} \nonumber  
\end{align}	
%%%%%% EQUATION
\vspace{0.05cm}
%			
\end{itemize}
%%%%%%%%%%%%%% Itemize
    
\end{frame}
%%%%%%%% END FRAME 

%
%%%%%%%%%%%%%% FRAME 
%\begin{frame}{\normalsize The Forward Problem Is Solved Given Weights and Boundary Pressures}
%
%%%%%%%%%%%%%% Itemize	
%\begin{itemize}
%%    \scriptsize
%%    \raggedright
%\item With a rearrangement, we setup a system of linear equations.
%%%%%%%%%%%%%%
%\begin{align} 
%\normalsize
%\vspace{-7.25cm}
%%%%%%%%%%%%%%	
%\Aboxed{
%\sum_{j=1}^n  w_{ij}(p_i - p_j) = 0} 
%%\hspace{0.25cm}  
%\textcolor{red}{\longrightarrow} 
% \hspace{-1.25cm}
%\Aboxed{K(\vec{w})p^\mathrm{o}-A(\vec{w})\vec{p} = 0} 
%\textcolor{red}{\longrightarrow} 
%\Aboxed{
%M(\vec{w})\vec{p} = \vec{b}} \nonumber
% \ \ \nonumber 
%%\label{eq: steady state forward problem}
%\end{align}	
%%%%%%%%%%%%%%
%%%
%%\vspace{-.5cm}
%%%%%%%%%%%%%%%
%%\begin{align}
%%\Aboxed{
%%M(\vec{w})\vec{p} = \vec{b}} \nonumber
%%%\label{eq: p = p0 dp = M^-1 w b forward solution}
%%\end{align}\\
%%%%%%%%%%%%%%%
%
%\item $\textcolor{red}{A(\vec{w})}$ is the the weighted adjacency matrix.
%%
%\item  $\textcolor{red}{K(\vec{w})}$ is a diagonal matrix of the sum of the weights at each node $v_i$.
%%
%\item  $\textcolor{red}{p^\mathrm{o}}$ is the vector of unknown internal pressures.
%%
%\item $\textcolor{red}{\vec{b}}$ is the vector that includes the boundary pressures (boundary conditions).
%%
%\item \textcolor{red}{Given $\vec{b}$ and $\vec{w}$, solve for $p^\mathrm{o}$.}
%
%\end{itemize}
%\end{frame}
%%%%%%%%% END FRAME 
%
%
%%%%%%%%%%%%%% FRAME 
%\begin{frame}{\normalsize The Inverse Problem of Weights is Ill-Posed}
%
%%%%%%%%%%%%%% ITEMIZE 
%\begin{itemize}
%%      
%\item We are interested in the \textcolor{red}{inverse problem:} \\[1.5ex]
%%
%Using boundary conditions and conservation of mass on the graph, and given observed pressures $\vec{p}_o$, solve for weights $\vec{w}$ : 
%%
%\begin{align}
%\Aboxed{\textcolor{red}{B(\vec{p}_o)\vec{w} = 0}} \nonumber
%\end{align}
%\vspace{-0.50cm}
%%	\pausef
%\item  \textcolor{red}{Matrix $B$ is underdetermined!!}
%%
%\item  $Rank(B(\vec{p})) \leq n-m$, $\implies$ rank deficiency of $n_w-(n-m)$
%%
%\item $n$ is the number of nodes (order of 100s), \item $m$ is the number of boundary conditions equations (order of 100s), 
%\item $n_w$ is the number of weights (order of 1000s).
%%
%\end{itemize}
%%%%%%%%%%%%%% ITEMIZE 
%
%\end{frame}
%%%%%%%%% END FRAME 
%
%
%%%%%%%%%%%%%% FRAME 
%\begin{frame}{\normalsize Regularizing the Inverse Problem}
%
%%%%%%%%%%%%%% ITEMIZE 
%  \begin{itemize}
%  \setlength\itemsep{0.90em}
%%%%%  
%\item Matrix $B(\vec{p})$ is generally \textcolor{red}{highly underdetermined $\implies$ ill-posed problem.}
%%%%%    
%\item Regularize weights by penalizing distance from Darcy weights $\vec{w}_D$. 
%%%%%    
%\item Regularize the response pressures using observed pressures. $\vec{p}_{o}$.
%%    
%\item Nondimensional quantities to consider: 
%%\vspace{0.5cm}
%$$  \small
%\text{Relative difference in pressures} \to \frac{||\vec{p}(\vec{w}_c)-\vec{p}_{o}||_2}{||\vec{p}_{o}||_2} << 1 \text{and Darcy weights} \to   \frac{||\vec{w}-\vec{w}_D||_2}{||\vec{w}_D||_2} << 1
%$$ 
%%
%\item \normalsize \textcolor{red}{Tikhonov Regularization:}   
%\vspace{-.1cm}
%$$\boxed{ g(\vec{w}; \lambda, \vec{p}_o, \vec{w}_D)=\lambda\frac{||\vec{w}-\vec{w}_p||_2}{||\vec{w}_p||_2}+ (1-\lambda)\frac{||\vec{p}(\vec{w})-\vec{p}_o||_2}{||\vec{p}_o||_2}  }  $$
%%
%$\lambda \in (0,1)$ is relative importance between the two terms.
%%%%%  
%\end{itemize}
%%%%%%%%%%%%%% ITEMIZE
%
%\end{frame}
%%%%%%%%% END FRAME 
%
%
%%%%%%%%%%%%%% FRAME 
%\begin{frame}{\normalsize Finding Optimal Weights is a Nonlinear Problem }
%
%\begin{itemize}
%%
%\item We seek the optimal solution 
%%\vspace{0.10cm}
%%
%\begin{align*}
%\Aboxed{
%\vec{w}_* = arg\min_{\vec{w}}(g(\vec{w}; \lambda, \vec{p}_o, \vec{w}_D)) 
%}
%%
%\end{align*}
%%
%Satisfies: 
%%\vspace{0.05cm}
%%
%\begin{align*}
%\Aboxed{
%\nabla g(\vec{w}_*) = 0
%}
%\end{align*}
%%
%\item We rewrite $g(\vec{w})$ as 
%%\vspace{0.05cm}
%%
%\begin{align*}
%%
%\Aboxed{
%g(\vec{w}) = c_{\vec{w}_D}^2 (\vec{w}-\vec{w}_D)^T(\vec{w}-\vec{w}_D)+c_{\vec{p}_o}^2(M^{-1}(\vec{w})\vec{b}-\vec{p}_o)^T(M^{-1}(\vec{w})\vec{b}-\vec{p}_o)
%}
%%
%%\label{eq: g(w) using c_w_D (w-w_D)'(w-w_D)...}
%\end{align*}
%%
%%\vspace {0.05cm} 
%where $c_{\vec{w}_D} = \frac{\sqrt{\lambda}}{||\vec{w}_D||_2}$ and $c_{\vec{p}_o} = \frac{\sqrt{1-\lambda}}{||\vec{p}_o||_2}$
%\vspace {0.1cm}
%%r
%\item That is, the solution satisfies 
%\begin{align*}
%%
%\Aboxed{
%\nabla g(\vec{w}_*)= c_{\vec{w}_D}^2 (\vec{w}_*-\vec{w}_D)+c_{\vec{p}_o}^2 \nabla (M^{-1}(\vec{w}_*)\vec{b})^T(M^{-1}(\vec{w}_*)\vec{b}-\vec{p}_o) = 0 
%}
%%
%%%%\label{eq: grad(g) = 0 using c_w_D^2 (w-w_D)...}
%\end{align*}
%%%
%%%
%\end{itemize}
%
%\end{frame}
%%%%%%%%% END FRAME 
%
%
%%%%%%%%% FRAME 
%\begin{frame}{Nonlinear Inverse Problem Solved with Levenberg Marquardt Algorithm}
%
%\begin{itemize}
%%
%\item Regularization creates an \textcolor{red}{overdetermined system:}
%%
%\vspace{0.25cm}
%\begin{align*}
%\Aboxed{	
%	\left[
%	\begin{array}{c}
%		B(\vec{p}_o) \\
%		\hline
%		I_{n_w}
%	\end{array}
%	\right]
%	\vec{w}_o
%	=
%	\left[
%	\begin{array}{c}
%		0 \\
%		\hline
%		\vec{w}_D
%	\end{array}
%	\right]
%}
%	%\label{eq: [B(p), I] * w = [0, w_D]}
%\end{align*}
%%
%%
%\item Our heuristic yields a nonlinear term $M^{-1}(\vec{w})$ with respect to $\vec{w}$.
%\item Problem solved with a \textcolor{blue}{Leavenberg-Marquardt} nonlinear least squares algorithm (LMA). 
%\end{itemize}
%
%\end{frame}
%%%%%%%%% END FRAME 

